# Spec AlignColIterator
Iterator for alignment columns.

Extends | Iter
All Extended | Iter
All Impl'd | IteratorAssociatedTypesConcept
Defined in | <seqan/align.h>
Signature | `template <typename TAlign, typename TSpec> class Iter<TAlign, AlignColIterator<TSpec> >;`

## Template Parameters

`TAlign` | Align object to iterate columns of.
`TSpec` | Tag for specializing the class further.

## Member Function Overview

### Member Functions Inherited From Iter

- `Iter`

## Interface Function Overview

### Interface Functions Inherited From IteratorAssociatedTypesConcept

- `operator*`
- `value`
- `getValue`

## Interface Metafunction Overview

### Interface Metafunctions Inherited From Iter

- `Container`
- `IterComplementConst`
- `IterMakeConst`
- `Spec`

### Interface Metafunctions Inherited From IteratorAssociatedTypesConcept

- `Difference`
- `GetValue`
- `Pointer`
- `Reference`
- `Value`

#### Dox Sources

    /*!
     * @class AlignColIterator
     *
     * @extends Iter
     *
     * @headerfile <seqan/align.h>
     *
     * @brief Iterator for alignment columns.
     *
     * @signature template <typename TAlign, typename TSpec> class Iter<TAlign,
     *            AlignColIterator<TSpec> >;
     *
     * @tparam TAlign Align object to iterate columns of.
     * @tparam TSpec Tag for specializing the class further.
     */